import { SceneSystem } from 'dacha';
import type { SceneSystemOptions } from 'dacha';
export declare class PointerToolSystem extends SceneSystem {
    private world;
    private actorSpawner;
    private actorCollection;
    private configStore;
    private mainActor;
    private selectedActors;
    private selectionMovementSubsystem;
    private selectionArea?;
    constructor(options: SceneSystemOptions);
    onSceneEnter(): void;
    onSceneDestroy(): void;
    private handleSelectScene;
    private handleSelectEntities;
    private handleSelectionMoveStart;
    private handleSelectionMove;
    private handleSelectionMoveEnd;
    private sendSelectionEvents;
    private selectActor;
    private updateFrames;
    private updateFramesSize;
    update(): void;
}
